## jellyfish 2.2.4

=== examples/jf_count_dump/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = $(shell pkg-config --libs jellyfish-2.0) -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/-L//g')

all: jf_count_dump
clean:
	rm -f *.o jf_count_dump

=== examples/query_per_sequence/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = $(shell pkg-config --libs jellyfish-2.0) -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/-L//g')

all: query_per_sequence
query_per_sequence: query_per_sequence.cc sequence_mers.hpp
clean:
	rm -f *.o query_per_sequence

## jellyfish 1.1.2

=== debian/changelog ===
jellyfish (1.1.2-1) unstable; urgency=low

  * Initial release. Closes: #644925.

 -- Shaun Jackman <sjackman@debian.org>  Mon, 10 Oct 2011 11:49:11 -0700

=== debian/control ===
Source: jellyfish
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Shaun Jackman <sjackman@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://www.cbcb.umd.edu/software/jellyfish/
Vcs-Git: git://git.debian.org/git/debian-med/jellyfish.git
Vcs-Browser: http://git.debian.org/?p=debian-med/jellyfish.git


Package: jellyfish
Architecture: any-amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: count k-mers in DNA sequences
 JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
 DNA. A k-mer is a substring of length k, and counting the occurrences
 of all such substrings is a central step in many analyses of DNA
 sequence. JELLYFISH can count k-mers using an order of magnitude less
 memory and an order of magnitude faster than other k-mer counting
 packages by using an efficient encoding of a hash table and by
 exploiting the "compare-and-swap" CPU instruction to increase
 parallelism.
 .
 JELLYFISH is a command-line program that reads FASTA and multi-FASTA
 files containing DNA sequences. It outputs its k-mer counts in an
 binary format, which can be translated into a human-readable text
 format using the "jellyfish dump" command.
 .
 If you use JELLYFISH in your research, please cite:
 Guillaume Marcais and Carl Kingsford, A fast, lock-free approach for
 efficient parallel counting of occurrences of k-mers. Bioinformatics
 (2011) 27(6): 764-770 (first published online January 7, 2011)
 doi:10.1093/bioinformatics/btr011

## jellyfish 1.1.5

=== debian/changelog ===
jellyfish (1.1.5-1) unstable; urgency=low

  * New upstream version fixing the FTBFS with gcc-4.7 bug
    Closes: #667214
  * debian/patches/fix-unused-but-set-variable.patch: Removed
    because applied upstream

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2012 21:56:38 +0200

jellyfish (1.1.4-1) unstable; urgency=low

  * New upstream version
  * debian/patches/ptrdiff_t: Removed because applied upstream
  * debian/patches/cmdline: Removed because upstream code was changed
    in a way that it becomes superfluous
  * debian/patches/fix-unused-but-set-variable.patch: Due to the use
    of hardening flags warnings about unused-but-set-variable becomes
    an error - start working on a patch
  * debian/source/local-options: Add dpkg-source local-options hints
  * debian/control:
     - Standards-Version: 3.9.3 (no changes needed)
     - Move citation from long desciption to debian/upstream
     - debhelper (>= 9)
  * debian/upstream: Use the agreed way to specify citations
  * debian/copyright: DEP5 verified using
      cme fix dpkg-copyright
  * debian/compat: 9

 -- Andreas Tille <tille@debian.org>  Sat, 31 Mar 2012 08:50:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Shaun Jackman <sjackman@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
+Uploaders: Shaun Jackman <sjackman@debian.org>,
+ Andreas Tille <tille@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 Vcs-Git: git://git.debian.org/git/debian-med/jellyfish.git
 Vcs-Browser: http://git.debian.org/?p=debian-med/jellyfish.git
@@ -28,9 +29,3 @@
  files containing DNA sequences. It outputs its k-mer counts in an
  binary format, which can be translated into a human-readable text
  format using the "jellyfish dump" command.
- .
- If you use JELLYFISH in your research, please cite:
- Guillaume Marcais and Carl Kingsford, A fast, lock-free approach for
- efficient parallel counting of occurrences of k-mers. Bioinformatics
- (2011) 27(6): 764-770 (first published online January 7, 2011)
- doi:10.1093/bioinformatics/btr011

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## jellyfish 1.1.10

=== debian/changelog ===
jellyfish (1.1.10-1) unstable; urgency=low

  * New upstream version
    Closes: #701423
  * debian/{rules,install}: Make sure dynamic library will be installed
  * debian/control:
     - Removed DM-Upload-Allowed
     - Standards-Version: 3.9.4 (no changes needed)
     - Build-Depends autotools-dev
     - canonical VCS URLs
  * debian/lintian-overrides: Upstream decided to use a dynamic library
    without really intending to make this a development package
  * debian/doc-base: docbase control file
  * debian/patches/man: refreshed + DEP3 description

 -- Andreas Tille <tille@debian.org>  Wed, 05 Jun 2013 11:58:53 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: science
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-DM-Upload-Allowed: yes
 Uploaders: Shaun Jackman <sjackman@debian.org>,
  Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+               autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
-Vcs-Git: git://git.debian.org/git/debian-med/jellyfish.git
-Vcs-Browser: http://git.debian.org/?p=debian-med/jellyfish.git
+Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
 
 
 Package: jellyfish

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
+
+override_dh_install:
+	dh_install -X*.a -X*.la -Xpkgconfig

=== debian/watch ===
version=3
http://www.cbcb.umd.edu/software/jellyfish/ jellyfish-(.+)\.tar\.gz

## jellyfish 1.1.11

=== debian/changelog ===
jellyfish (1.1.11-1) unstable; urgency=medium

  * New upstream version
  * Move debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 21 Mar 2014 11:31:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: jellyfish
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Shaun Jackman <sjackman@debian.org>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shaun Jackman <sjackman@debian.org>,
- Andreas Tille <tille@debian.org>
 Build-Depends: debhelper (>= 9),
                autotools-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
+Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
-Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
-
 
 Package: jellyfish
 Architecture: any-amd64
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: count k-mers in DNA sequences
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
  DNA. A k-mer is a substring of length k, and counting the occurrences

## jellyfish 2.1.4

=== debian/changelog ===
jellyfish (2.1.4-1) unstable; urgency=medium

  * New upstream version
  * d/watch: point to new location on Github
  * cme fix dpkg-control
  * new upstream version needs autoreconf
  * New Build-Depends: yaggo, pkg-config, bc, time, procps
  * debian/rules: Make sure package builds twice in a row
  * d/copyright:
     - Adapted to file locations in new upstream version
     - Additional copyright paragraph for included libjsoncpp
     - Additional copyright paragraph for unit tests
  * checking whether it is possible to use Debian packaged libjsoncpp
    failed - add lintian override to use internal one
  * Split libjellyfish and libjellyfish-dev packages up from single
    package, add jellyfish-examples package containing test suite
  * Add autopkgtest
  * Fix FTBFS with clang (thanks for the patch to Martin Steghöfer)
    Closes: #749136

 -- Andreas Tille <tille@debian.org>  Thu, 09 Oct 2014 13:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,23 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               autotools-dev
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/jellyfish.git
+               dh-autoreconf,
+               d-shlibs,
+               yaggo,
+               pkg-config,
+               bc,
+               time,
+               procps
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
 Architecture: any-amd64
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         libjellyfish-2.0-2 (= ${binary:Version})
 Description: count k-mers in DNA sequences
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
  DNA. A k-mer is a substring of length k, and counting the occurrences
@@ -29,3 +36,73 @@
  files containing DNA sequences. It outputs its k-mer counts in an
  binary format, which can be translated into a human-readable text
  format using the "jellyfish dump" command.
+
+Package: libjellyfish-2.0-2
+Architecture: any-amd64
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: count k-mers in DNA sequences (dynamic library of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the dynamic library the main executable of
+ jellyfish is linked to.
+
+Package: libjellyfish-2.0-dev
+Architecture: any-amd64
+Section: libdevel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libjellyfish-2.0-2 (= ${binary:Version})
+Description: count k-mers in DNA sequences (development files of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the development files (static library and
+ header files)
+
+Package: jellyfish-examples
+Architecture: any-amd64
+Depends: jellyfish,
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: count k-mers in DNA sequences (examples for testing)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains examples to test the package
+

=== debian/rules ===
#!/usr/bin/make -f

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

export DH_OPTIONS

%:
	dh $@ --with autoreconf

override_dh_install:
	# dh_install -X*.a -X*.la -Xpkgconfig
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.hpp" usr/include/$(DEBPKGNAME) \
		        debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so

override_dh_clean:
	dh_clean
	if [ -d debian/tmp_save_tests ] ; then \
	    mv debian/tmp_save_tests/* tests ; \
	    rmdir debian/tmp_save_tests ; \
	fi
	rm -f tests/compat.sh

override_dh_auto_build:
	mkdir -p debian/tmp_save_tests
	cp -a tests/* debian/tmp_save_tests
	dh_auto_build

# jellyfish contains a *really* big test which should *not* run on autobuilders
# if you have a *really* large machine you can try to activate this test by
# uncommenting the following.
#override_dh_auto_test:
#	BIG=1 dh_auto_test

## jellyfish 2.2.3

=== debian/changelog ===
jellyfish (2.2.3-2) unstable; urgency=medium

  [ Charles Plessy ]
  * Patch with Upstream commit a3c491a for GCC5; closes: #795847.

  [ Andreas Tille ]
  * Do not mention removed file from d/copyright

 -- Andreas Tille <tille@debian.org>  Thu, 20 Aug 2015 09:07:18 +0200

jellyfish (2.2.3-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Replace unneeded dependency by @builddeps@ in debian/tests/control
  * New version needs valgrind as Build-Depends to pass all tests
  * New version closes: #777922

  [ Charles Plessy ]
  * New upstream release.
  * Removed yaggo and clang patches, obsoleted upstream.

 -- Andreas Tille <tille@debian.org>  Fri, 03 Jul 2015 20:06:28 +0200

## jellyfish 2.2.4

=== debian/changelog ===
jellyfish (2.2.4-2) unstable; urgency=medium

  * enable build with c++11 and -Werror=deprecated-declarations compile
    flag (thanks for the hint to Gert Wollny)
    Closes: #808537

 -- Andreas Tille <tille@debian.org>  Fri, 25 Dec 2015 12:17:44 +0100

jellyfish (2.2.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 10 Nov 2015 21:57:20 +0100

jellyfish (2.2.3-3) unstable; urgency=medium

  * team upload
  * include missing header

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sun, 20 Sep 2015 08:46:24 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                pkg-config,
                bc,
                time,
-               procps
+               procps,
+               valgrind
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 		    --multiarch \
 		    --devunversioned \
 		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.hpp" usr/include/$(DEBPKGNAME) \
-		        debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so
+		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.h" usr/include/$(DEBPKGNAME) \
+			debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so
 
 override_dh_clean:
 	dh_clean
@@ -27,7 +28,7 @@
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
 	cp -a tests/* debian/tmp_save_tests
-	dh_auto_build
+	dh_auto_build -- all bin/generate_sequence bin/test_all
 
 # jellyfish contains a *really* big test which should *not* run on autobuilders
 # if you have a *really* large machine you can try to activate this test by

=== debian/watch ===
version=3
https://github.com/gmarcais/Jellyfish/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## jellyfish 2.2.5

=== debian/changelog ===
jellyfish (2.2.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Enable Python and Perl bindings

  [ Scott Kitterman ]
  * Rename python-jellyfish to python3-jellyfish
  * Change python-dev build-dep to python3-all-dev (since this is a python3
    extension)
  * Add dh-python to build-depends
  * Add building with python3
  * Add call to setup.py in dh_autobuild override

  [ Michael R. Crusoe ]
  * New upstream version, fixes dataloss bug
  * Upgrade Standards-Version to 3.9.7
  * Mark python3- package as arch specifc, not indep; include shared library
    dependencies
  * Likewise with the -perl package; also build & install them
  * debian/patches/drop-rpath: don't compile in a relative path as per policy
  * debian/patches/modern-g++: use recent g++, not the unavailable version 4.4
  * debian/patches/pkg-config-with-name: fix error in upstream: pkg-config was
    called without the package name
  * debian/rules: enable parallel builds & improve clean target
  * debian/control: add myself as an uploader

 -- Michael R. Crusoe <crusoe@ucdavis.edu>  Sat, 12 Mar 2016 08:09:07 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: jellyfish
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Michael R. Crusoe <crusoe@ucdavis.edu>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -12,10 +13,15 @@
                bc,
                time,
                procps,
-               valgrind
-Standards-Version: 3.9.6
+               valgrind,
+               swig,
+               python3-all-dev,
+               dh-python,
+               perl,
+               chrpath
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
-Vcs-Git: git://anonscm.debian.org/debian-med/jellyfish.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
@@ -64,8 +70,7 @@
 Package: libjellyfish-2.0-dev
 Architecture: any-amd64
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
 Description: count k-mers in DNA sequences (development files of jellyfish)
  JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
@@ -84,6 +89,52 @@
  .
  This package contains the development files (static library and
  header files)
+
+Package: python3-jellyfish
+Architecture: any-amd64
+Section: python
+Depends: ${python3:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: count k-mers in DNA sequences (Python bindings of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the Python bindings of jellyfish.
+
+Package: libjellyfish-perl
+Architecture: any-amd64
+Section: perl
+Depends: ${perl:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Description: count k-mers in DNA sequences (Perl bindings of jellyfish)
+ JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+ DNA. A k-mer is a substring of length k, and counting the occurrences
+ of all such substrings is a central step in many analyses of DNA
+ sequence. JELLYFISH can count k-mers using an order of magnitude less
+ memory and an order of magnitude faster than other k-mer counting
+ packages by using an efficient encoding of a hash table and by
+ exploiting the "compare-and-swap" CPU instruction to increase
+ parallelism.
+ .
+ JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+ files containing DNA sequences. It outputs its k-mer counts in an
+ binary format, which can be translated into a human-readable text
+ format using the "jellyfish dump" command.
+ .
+ This package contains the Perl bindings of jellyfish.
 
 Package: jellyfish-examples
 Architecture: any-amd64
@@ -106,4 +157,3 @@
  format using the "jellyfish dump" command.
  .
  This package contains examples to test the package
-

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,34 @@
 #!/usr/bin/make -f
 
 DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+build3vers := $(shell py3versions -sv)
+
+#export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+#DPKG_EXPORT_BUILDFLAGS = 1
+#include /usr/share/dpkg/buildflags.mk
+#breaks the build
 
 export DH_OPTIONS
+export PKG_CONFIG_LIBDIR=${CURDIR}
+export PKG_CONFIG_ALLOW_SYSTEM_LIBS=true
+export PKG_CONFIG_SYSROOT_DIR=${CURDIR}/debian/tmp/
+export PERL_MM_OPT=INSTALLDIRS=vendor
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,python3 #--parallel
+
+override_dh_auto_install:
+	dh_auto_install -- install-data
 
 override_dh_install:
 	# dh_install -X*.a -X*.la -Xpkgconfig
+	dh_install -ppython3-jellyfish
+	pybuild -d swig/python --name jellyfish
+	
+	dh_auto_configure --sourcedirectory=swig/perl5
+	dh_auto_build --sourcedirectory=swig/perl5
+	dh_auto_install --sourcedirectory=swig/perl5
+	chrpath --delete debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
 	dh_install
 	d-shlibmove --commit \
 		    --multiarch \
@@ -17,6 +37,17 @@
 		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.h" usr/include/$(DEBPKGNAME) \
 			debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so
 
+override_dh_auto_configure:
+	dh_auto_configure -- --enable-swig --enable-perl-binding
+
+override_dh_auto_clean:
+	set -e && for i in $(build3vers); do \
+	  cd swig/python ; \
+          python$$i ./setup.py clean --all 2> /dev/null; \
+	  cd ../.. ; \
+	done
+	dh_auto_clean
+
 override_dh_clean:
 	dh_clean
 	if [ -d debian/tmp_save_tests ] ; then \
@@ -24,11 +55,14 @@
 	    rmdir debian/tmp_save_tests ; \
 	fi
 	rm -f tests/compat.sh
+	rm -f swig/python/jellyfish*
 
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
 	cp -a tests/* debian/tmp_save_tests
 	dh_auto_build -- all bin/generate_sequence bin/test_all
+#	cd doc ;  RUBYLIB=$PWD PATH=$PATH:../bin make clean all ; cd ..
+#	broken
 
 # jellyfish contains a *really* big test which should *not* run on autobuilders
 # if you have a *really* large machine you can try to activate this test by

## jellyfish 2.2.6

=== examples/count_in_file/Makefile ===
CC = g++
CXXFLAGS = $(shell pkg-config --cflags jellyfish-2.0) -std=c++0x -Wall -O3
LDFLAGS = $(shell pkg-config --libs jellyfish-2.0) -Wl,--rpath=$(shell pkg-config --libs-only-L jellyfish-2.0 | sed -e 's/-L//g')

all: count_in_file
clean:
	rm -f *.o count_in_file

=== debian/changelog ===
jellyfish (2.2.6-1) unstable; urgency=medium

  * New upstream version
  * Rename python module from python3-jellyfish to python3-dna-jellyfish
    (thanks for the patches to "Diego M. Rodriguez" <diego.plan9@gmail.com>)
    Closes: #819016
  * cme fix dpkg-control
  * hardening=+all,-pie

 -- Andreas Tille <tille@debian.org>  Tue, 30 Aug 2016 14:16:52 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                dh-python,
                perl,
                chrpath
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
@@ -90,7 +90,7 @@
  This package contains the development files (static library and
  header files)
 
-Package: python3-jellyfish
+Package: python3-dna-jellyfish
 Architecture: any-amd64
 Section: python
 Depends: ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,16 +3,14 @@
 DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
 build3vers := $(shell py3versions -sv)
 
-#export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-#DPKG_EXPORT_BUILDFLAGS = 1
-#include /usr/share/dpkg/buildflags.mk
-#breaks the build
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 export DH_OPTIONS
 export PKG_CONFIG_LIBDIR=${CURDIR}
 export PKG_CONFIG_ALLOW_SYSTEM_LIBS=true
 export PKG_CONFIG_SYSROOT_DIR=${CURDIR}/debian/tmp/
 export PERL_MM_OPT=INSTALLDIRS=vendor
+export PYBUILD_BUILD_ARGS=build_ext --rpath "${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}"
 
 %:
 	dh $@ --with autoreconf,python3 #--parallel
@@ -22,8 +20,12 @@
 
 override_dh_install:
 	# dh_install -X*.a -X*.la -Xpkgconfig
-	dh_install -ppython3-jellyfish
-	pybuild -d swig/python --name jellyfish
+	dh_install -ppython3-dna-jellyfish
+	pybuild -d swig/python --name dna-jellyfish
+#	pybuild -d swig/python --name dna-jellyfish --disable test/python3
+#	pybuild -d swig/python --name dna-jellyfish --test --test-args "${CURDIR}/swig/python/ test_string_mers.py"
+#	pybuild -d swig/python --name dna-jellyfish --test --test-args "${CURDIR}/swig/python/ test_hash_counter.py"
+	chrpath --delete debian/*/usr/lib/python*/dist-packages/_dna_jellyfish*.so
 	
 	dh_auto_configure --sourcedirectory=swig/perl5
 	dh_auto_build --sourcedirectory=swig/perl5
@@ -55,7 +57,7 @@
 	    rmdir debian/tmp_save_tests ; \
 	fi
 	rm -f tests/compat.sh
-	rm -f swig/python/jellyfish*
+	rm -f swig/python/jellyfish* swig/python/dna_jellyfish.py
 
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests

## jellyfish 2.2.8

=== debian/changelog ===
jellyfish (2.2.8-3build1) bionic; urgency=medium

  * No-change rebuild.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Apr 2018 20:21:55 +0200

jellyfish (2.2.8-3) unstable; urgency=medium

  * Build and install fastq2sam, which fixes Debci tests
  * Incorporates suggestions from the Multiarch hinter.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 16 Mar 2018 10:57:09 -0700

jellyfish (2.2.8-2) unstable; urgency=medium

  * Add the missing small_mers.sh file, courtesy upstream.
  * Fix arm/powerpc build, patch courtesy upstream (Closes: #890137)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 12 Mar 2018 05:31:00 -0700

jellyfish (2.2.8-1) unstable; urgency=medium

  * New upstream version
  * Dropped rename-python-module-to-dna_jellyfish.patch as upstream has
    incorporated it.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 11 Feb 2018 09:21:51 -0800

jellyfish (2.2.7-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2018 22:22:17 +0100

jellyfish (2.2.6-6) unstable; urgency=medium

  * Really apply portability patch
    Closes: #871697

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 12:42:21 +0200

jellyfish (2.2.6-5) unstable; urgency=medium

  * Make jellyfish portable (Thanks for the patch to Edmund Grimley Evans
    <edmund.grimley.evans@gmail.com>)
    Closes: #871697

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2017 00:09:35 +0200

jellyfish (2.2.6-4) unstable; urgency=medium

  * Make sure reproducible patch will not break test suite (Thanks to
    Chris Lamb <lamby@debian.org> for the fix)
    Closes: #863015
  * Autoreconf not needed with debhelper 10
  * Do not parse debian/changelog
  * Fix whatis entry in manpage
  * Fix spelling in manpage

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2017 14:40:40 +0200

jellyfish (2.2.6-3) unstable; urgency=medium

  * Explicitly disable parallel building
    Closes: #873318

 -- Andreas Tille <tille@debian.org>  Sat, 26 Aug 2017 21:53:10 +0200

jellyfish (2.2.6-2) unstable; urgency=medium

  * Ignore result of "big" test to let autopkgtest pass
  * debhelper 10
  * Parallel builds seem to cause problems - use --no-parallel
  * d/watch: version=4
  * Do not fail on compiler warnings to enable building with gcc-7.
    (Thanks for the patch to Adrian Bunk <bunk@debian.org>)
    Closes: #872262
  * Enable full hardening
    Closes: #865608
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2017 14:46:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Shaun Jackman <sjackman@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Michael R. Crusoe <crusoe@ucdavis.edu>
+           Michael R. Crusoe <michael.crusoe@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11~),
                d-shlibs,
                yaggo,
                pkg-config,
@@ -19,13 +18,13 @@
                dh-python,
                perl,
                chrpath
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
-Architecture: any-amd64
+Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -45,7 +44,8 @@
  format using the "jellyfish dump" command.
 
 Package: libjellyfish-2.0-2
-Architecture: any-amd64
+Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -68,7 +68,8 @@
  jellyfish is linked to.
 
 Package: libjellyfish-2.0-dev
-Architecture: any-amd64
+Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libjellyfish-2.0-2 (= ${binary:Version})
@@ -91,7 +92,7 @@
  header files)
 
 Package: python3-dna-jellyfish
-Architecture: any-amd64
+Architecture: any
 Section: python
 Depends: ${python3:Depends},
          ${misc:Depends},
@@ -114,7 +115,8 @@
  This package contains the Python bindings of jellyfish.
 
 Package: libjellyfish-perl
-Architecture: any-amd64
+Architecture: any
+Multi-Arch: same
 Section: perl
 Depends: ${perl:Depends},
          ${misc:Depends},
@@ -137,7 +139,7 @@
  This package contains the Perl bindings of jellyfish.
 
 Package: jellyfish-examples
-Architecture: any-amd64
+Architecture: any
 Depends: jellyfish,
          ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
-DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
+include /usr/share/dpkg/default.mk
+
 build3vers := $(shell py3versions -sv)
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 export DH_OPTIONS
 export PKG_CONFIG_LIBDIR=${CURDIR}
@@ -13,7 +14,7 @@
 export PYBUILD_BUILD_ARGS=build_ext --rpath "${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}"
 
 %:
-	dh $@ --with autoreconf,python3 #--parallel
+	dh $@ --with python3
 
 override_dh_auto_install:
 	dh_auto_install -- install-data
@@ -35,9 +36,9 @@
 	d-shlibmove --commit \
 		    --multiarch \
 		    --devunversioned \
-		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.hpp" usr/include/$(DEBPKGNAME) \
-		    --movedev "debian/tmp/usr/include/$(DEBPKGNAME)*/$(DEBPKGNAME)/*.h" usr/include/$(DEBPKGNAME) \
-			debian/tmp/usr/lib/*/lib$(DEBPKGNAME)-*.so
+		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.hpp" usr/include/$(DEB_SOURCE) \
+		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.h" usr/include/$(DEB_SOURCE) \
+			debian/tmp/usr/lib/*/lib$(DEB_SOURCE)-*.so
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-swig --enable-perl-binding
@@ -62,7 +63,7 @@
 override_dh_auto_build:
 	mkdir -p debian/tmp_save_tests
 	cp -a tests/* debian/tmp_save_tests
-	dh_auto_build -- all bin/generate_sequence bin/test_all
+	dh_auto_build --no-parallel -- all bin/generate_sequence bin/test_all bin/fastq2sam
 #	cd doc ;  RUBYLIB=$PWD PATH=$PATH:../bin make clean all ; cd ..
 #	broken

=== debian/watch ===
version=4
https://github.com/gmarcais/Jellyfish/releases .*/jellyfish-(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## jellyfish 2.2.10

=== unit_tests/Makefile ===
# SYNOPSIS:
#
#   make [all]  - makes everything.
#   make TARGET - makes the given target.
#   make clean  - removes all files generated by make.

# Points to the root of Google Test, relative to where this file is.
# Remember to tweak this if you move this file.
GTEST_DIR = gtest-1.4.0

# Where to find user code.
UPDIR = $(realpath ..)
USER_DIR = $(UPDIR)

VPATH = $(USER_DIR)

CC = g++
# Flags passed to the preprocessor.
CPPFLAGS += -I. -I$(GTEST_DIR) -I$(GTEST_DIR)/include $(patsubst %,-I%,$(USER_DIR)) -D__STDC_FORMAT_MACROS -D__STDC_CONSTANT_MACROS -DHAVE_SSE

# Flags passed to the C++ compiler.
# For profiling -fprofile-arcs -ftest-coverage -O0
# TODO: remove lax-vector-conversions
CXXFLAGS += -g -Wall -Wextra -Werror -DSSE -march=native -msse -msse2 -O3

LDFLAGS = -lpthread -lrt -lm

# All tests produced by this Makefile.  Remember to add new tests you
# created to the list.
#TESTS = test_large_block test_mutex test_cond test_packed_key_value_array test_square_binary_matrix test_misc test_offsets_key_value
TESTS = test_offsets_key_value
SOURCES = $(patsubst %,%.cc,$(TESTS))

# All Google Test headers.  Usually you shouldn't change this
# definition.
GTEST_HEADERS = $(GTEST_DIR)/include/gtest/*.h \
                $(GTEST_DIR)/include/gtest/internal/*.h

# House-keeping build targets.

%.d: %.cc
	$(CC) -M -MM -MG -MP $(CPPFLAGS) $< > $@.tmp
	sed -e 's/$*.o/& $@/g' $@.tmp > $@ && rm $@.tmp

all : $(TESTS)

run: all
	@for i in $(TESTS); do ./$$i; done

clean :
	rm -f $(TESTS) gtest.a gtest_main.a *.o

$(TESTS): gtest_main.a

# Some extra dependencies
test_packed_key_value_array: storage.o

test_square_binary_matrix: square_binary_matrix.o

# Builds gtest.a and gtest_main.a.

# Usually you shouldn't tweak such internal variables, indicated by a
# trailing _.
GTEST_SRCS_ = $(GTEST_DIR)/src/*.cc $(GTEST_DIR)/src/*.h $(GTEST_HEADERS)

# For simplicity and to avoid depending on Google Test's
# implementation details, the dependencies specified below are
# conservative and not optimized.  This is fine as Google Test
# compiles fast and for ordinary users its source rarely changes.
gtest-all.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GTEST_DIR)/src/gtest-all.cc

gtest_main.o : $(GTEST_SRCS_)
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -c $(GTEST_DIR)/src/gtest_main.cc

gtest.a : gtest-all.o
	$(AR) $(ARFLAGS) $@ $^

gtest_main.a : gtest-all.o gtest_main.o
	$(AR) $(ARFLAGS) $@ $^

include $(SOURCES:.cc=.d)

=== debian/changelog ===
jellyfish (2.2.10-2) unstable; urgency=medium

  * debian/control: removed unused valgrind dependency
  * Standards-Version: 4.3.0
  * Improve reproducibilty, drop /usr/share/doc/jellyfish-
    examples/examples/swig*
  * Remove dependency_libs field in libjellyfish-2.0.la.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 24 Dec 2018 06:46:27 -0800

jellyfish (2.2.10-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Adapt watch file to also catch v$VERSION tarball names
  * Clean up quilt patches
  * Catch exceptions by reference
  * Do not replace random '-L' strings in command line
    Closes: #907819
  * Drop python3-dna-jellyfish package since the Python module had issues in
    build process and nobody seemed to be interested to help solving theses

 -- Andreas Tille <tille@debian.org>  Fri, 21 Sep 2018 08:45:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,15 +12,15 @@
                bc,
                time,
                procps,
-               valgrind,
                swig,
                python3-all-dev,
+               python-all-dev,
                dh-python,
                perl,
                chrpath
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/jellyfish.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/jellyfish.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/jellyfish
+Vcs-Git: https://salsa.debian.org/med-team/jellyfish.git
 Homepage: http://www.cbcb.umd.edu/software/jellyfish/
 
 Package: jellyfish
@@ -91,28 +91,28 @@
  This package contains the development files (static library and
  header files)
 
-Package: python3-dna-jellyfish
-Architecture: any
-Section: python
-Depends: ${python3:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: count k-mers in DNA sequences (Python bindings of jellyfish)
- JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
- DNA. A k-mer is a substring of length k, and counting the occurrences
- of all such substrings is a central step in many analyses of DNA
- sequence. JELLYFISH can count k-mers using an order of magnitude less
- memory and an order of magnitude faster than other k-mer counting
- packages by using an efficient encoding of a hash table and by
- exploiting the "compare-and-swap" CPU instruction to increase
- parallelism.
- .
- JELLYFISH is a command-line program that reads FASTA and multi-FASTA
- files containing DNA sequences. It outputs its k-mer counts in an
- binary format, which can be translated into a human-readable text
- format using the "jellyfish dump" command.
- .
- This package contains the Python bindings of jellyfish.
+#Package: python3-dna-jellyfish
+#Architecture: any
+#Section: python
+#Depends: ${python3:Depends},
+#         ${misc:Depends},
+#         ${shlibs:Depends}
+#Description: count k-mers in DNA sequences (Python bindings of jellyfish)
+# JELLYFISH is a tool for fast, memory-efficient counting of k-mers in
+# DNA. A k-mer is a substring of length k, and counting the occurrences
+# of all such substrings is a central step in many analyses of DNA
+# sequence. JELLYFISH can count k-mers using an order of magnitude less
+# memory and an order of magnitude faster than other k-mer counting
+# packages by using an efficient encoding of a hash table and by
+# exploiting the "compare-and-swap" CPU instruction to increase
+# parallelism.
+# .
+# JELLYFISH is a command-line program that reads FASTA and multi-FASTA
+# files containing DNA sequences. It outputs its k-mer counts in an
+# binary format, which can be translated into a human-readable text
+# format using the "jellyfish dump" command.
+# .
+# This package contains the Python bindings of jellyfish.
 
 Package: libjellyfish-perl
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

build3vers := $(shell py3versions -sv)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export DH_OPTIONS
export PKG_CONFIG_LIBDIR=${CURDIR}
export PKG_CONFIG_ALLOW_SYSTEM_LIBS=true
export PKG_CONFIG_SYSROOT_DIR=${CURDIR}/debian/tmp/
export PERL_MM_OPT=INSTALLDIRS=vendor
export PYBUILD_BUILD_ARGS=build_ext --rpath "${CURDIR}/debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}"

export DEB_LDFLAGS_MAINT_APPEND = -lpthread

%:
	dh $@ # --with python3

override_dh_auto_install:
	dh_auto_install -- install-data

override_dh_installexamples:
	dh_installexamples
	sed '/SRCDIR=/d' debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/compat.sh*
	sed '/BUILDDIR=/d' debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/compat.sh*
	rm -f debian/jellyfish-examples/usr/share/doc/jellyfish-examples/examples/swig*

override_dh_install:
	# dh_install -X*.a -X*.la -Xpkgconfig
#	dh_install -ppython3-dna-jellyfish
#	pybuild -d swig/python --name dna-jellyfish
##	pybuild -d swig/python --name dna-jellyfish --disable test/python3
##	pybuild -d swig/python --name dna-jellyfish --test --test-args "${CURDIR}/swig/python/ test_string_mers.py"
##	pybuild -d swig/python --name dna-jellyfish --test --test-args "${CURDIR}/swig/python/ test_hash_counter.py"
#	chrpath --delete debian/*/usr/lib/python*/dist-packages/_dna_jellyfish*.so
	
	dh_auto_configure --sourcedirectory=swig/perl5
##	dh_auto_configure --sourcedirectory=swig/python
	dh_auto_build --sourcedirectory=swig/perl5
	dh_auto_install --sourcedirectory=swig/perl5
	chrpath --delete debian/tmp/usr/lib/*/perl5/*/auto/jellyfish/jellyfish.so
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.hpp" usr/include/$(DEB_SOURCE) \
		    --movedev "debian/tmp/usr/include/$(DEB_SOURCE)*/$(DEB_SOURCE)/*.h" usr/include/$(DEB_SOURCE) \
			debian/tmp/usr/lib/*/lib$(DEB_SOURCE)-*.so
	sed -i "/dependency_libs/ s/'.*'/''/" ./debian/libjellyfish-2.0-dev/usr/lib/${DEB_HOST_MULTIARCH}/*.la

override_dh_auto_configure:
	dh_auto_configure -- --enable-swig --enable-perl-binding # --enable-python-binding

override_dh_clean:
	dh_clean
	if [ -d debian/tmp_save_tests ] ; then \
	    mv debian/tmp_save_tests/* tests ; \
	    rmdir debian/tmp_save_tests ; \
	fi
	rm -f tests/compat.sh
	rm -f swig/python/jellyfish* # swig/python/dna_jellyfish.py

override_dh_auto_build:
	mkdir -p debian/tmp_save_tests
	cp -a tests/* debian/tmp_save_tests
	dh_auto_build --no-parallel -- all bin/generate_sequence bin/test_all bin/fastq2sam
#	cd doc ;  RUBYLIB=$PWD PATH=$PATH:../bin make clean all ; cd ..
#	broken

# jellyfish contains a *really* big test which should *not* run on autobuilders
# if you have a *really* large machine you can try to activate this test by
# uncommenting the following.
#override_dh_auto_test:
#	BIG=1 dh_auto_test
